import { invoke } from "@tauri-apps/api/core";

function sleep(seconds: number): Promise<void> {
  return new Promise((resolve) => setTimeout(resolve, seconds * 1000));
}

async function setup() {
  console.log("前端应用启动..");
  // 增加延迟时间，确保欢迎页面有足够显示时间
  await sleep(3);
  console.log("前端应用启动完成111");
  // 调用后端应用
  invoke("set_complete", { task: "frontend" });
}

export default () => {
  console.log("前端应用启动333");
  // Effectively a JavaScript main function
  window.addEventListener("DOMContentLoaded", () => {
    console.log("前端应用启动222");
    setup();
  });
};

